#!/bin/sh
scriptPath=$(dirname -- "${0}")
domainPath="${scriptPath}/../../data/domain"
userscriptPath="./user.js"
resultUserscriptPath="./stable.user.js"

domain="${DOMAIN}"

if [ -z "${domain}" ] && [ -f "${domainPath}" ]; then
    domain=$(cat "${domainPath}")
fi

if [ -z "${domain}" ]; then
    printf "\033[0;41mDOMAIN is not set, and %s does not exist!\033[0m\n" "${domainPath}"
    exit 1
fi

if [ ! -f "${userscriptPath}" ]; then
    printf "\033[0;41m%s does not exist!\033[0m\n" "${userscriptPath}"
    exit 1
fi

sed "s/\[DOMAIN\]/${domain}/g" "${userscriptPath}" > "${resultUserscriptPath}"

echo "Exported with domain: '${domain}' to '${resultUserscriptPath}'"
